unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls,QRCodeEncodeDll, Buttons,ShellAPI;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    ComboBox1: TComboBox;
    Label3: TLabel;
    ComboBox3: TComboBox;
    Label4: TLabel;
    ComboBox4: TComboBox;
    Edit1: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    ComboBox5: TComboBox;
    Label8: TLabel;
    Edit3: TEdit;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    Label9: TLabel;
    Edit4: TEdit;
    Label12: TLabel;
    Edit5: TEdit;
    Label10: TLabel;
    ColorBox1: TColorBox;
    Label11: TLabel;
    ColorBox2: TColorBox;
    Image1: TImage;
    Label2: TLabel;
    Edit2: TEdit;
    Label7: TLabel;
    Edit6: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
 ctx : TQRCODECONTEXT;
 s : string;
 i : Integer;
 bmp : HBITMAP;
 img : TBitmap;
 pCtx : LPQRCODECONTEXT;
begin
 pCtx := @ctx;
 InitWorkSpace(pCtx);
//	ctx.preferredVersion := Combobox1.ItemIndex + 1;
	ctx.nVersion := Combobox1.ItemIndex + 1;
	ctx.nCorrectionLevel := Combobox3.ItemIndex;
	ctx.nEncodeMode := Combobox4.ItemIndex;
	ctx.nFnc1Mode := Combobox5.ItemIndex;

	ctx.nStructuredAppendIndex := StrToInt(Edit1.Text);
	ctx.nStructuredAppendCounter := StrToInt(Edit6.Text);
	ctx.bStructuredAppend := CheckBox1.checked;
	ctx.bProcessTilde := CheckBox2.checked;
	ctx.bAutoConfigurate := CheckBox3.checked;
	ctx.nMargin := StrToInt(Edit3.Text);
	ctx.nPixelSize := StrToInt(Edit4.Text);
	ctx.clBackGround := ColorBox1.Color;
	ctx.clForeGround := ColorBox2.Color;
	if (Edit5.Text <> '') then StrMove(@ctx.cData,PChar(Edit5.Text),Length(Edit5.Text));

        image1.Picture.CleanupInstance;
        bmp := QRCodeEncode2Bitmap(pCtx);
        img := TBitmap.Create;
        img.Handle := bmp;
        image1.Picture.Assign(img);
        img.Free;
        ShowMessage('Make QRCode barcode successfully');
        FreeWorkSpace();
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ColorBox1.Color := clWhite;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
   Close;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
   ShellExecute(handle,'open','http://www.aipsys.com/order.htm',nil,nil,SW_SHOW);
end;

procedure TForm1.Button2Click(Sender: TObject);
var
 ctx : TQRCODECONTEXT;
 s : string;
 i : Integer;
 bmp : HBITMAP;
 img : TBitmap;
 pCtx : LPQRCODECONTEXT;
begin
 pCtx := @ctx;
 InitWorkSpace(pCtx);
//	ctx.preferredVersion := Combobox1.ItemIndex + 1;
	ctx.nVersion := Combobox1.ItemIndex + 1;
	ctx.nCorrectionLevel := Combobox3.ItemIndex;
	ctx.nEncodeMode := Combobox4.ItemIndex;
	ctx.nFnc1Mode := Combobox5.ItemIndex;

	ctx.nStructuredAppendIndex := StrToInt(Edit1.Text);
	ctx.nStructuredAppendCounter := StrToInt(Edit6.Text);
	ctx.bStructuredAppend := CheckBox1.checked;
	ctx.bProcessTilde := CheckBox2.checked;
	ctx.bAutoConfigurate := CheckBox3.checked;
	ctx.nMargin := StrToInt(Edit3.Text);
	ctx.nPixelSize := StrToInt(Edit4.Text);
	ctx.clBackGround := ColorBox1.Color;
	ctx.clForeGround := ColorBox2.Color;
	if (Edit5.Text <> '') then StrMove(@ctx.cData,PChar(Edit5.Text),Length(Edit5.Text));

        image1.Picture.CleanupInstance;
        QRCodeEncode2File(pCtx,PChar('c:\1.bmp'));
        image1.Picture.LoadFromFile('c:\1.bmp');
        ShowMessage('Make QRCode barcode successfully and save to c:\1.bmp');
        FreeWorkSpace();
end;

end.
