// QRCodeVc6TestDlg.h : header file
//

#if !defined(AFX_QRCODEVC6TESTDLG_H__80523AC4_2005_4BE0_8A7D_CEA22022386D__INCLUDED_)
#define AFX_QRCODEVC6TESTDLG_H__80523AC4_2005_4BE0_8A7D_CEA22022386D__INCLUDED_

#include "ColorBox.h"
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CQRCodeVc6TestDlg dialog

class CQRCodeVc6TestDlg : public CDialog
{
// Construction
public:
	CQRCodeVc6TestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CQRCodeVc6TestDlg)
	enum { IDD = IDD_QRCODEVC6TEST_DIALOG };
	CComboBox	m_Fnc1Mode;
	CButton	m_StruAppend;
	CButton	m_ProcTilde;
	CColorBox	m_BackColor;
	CButton	m_AutoConfig;
	CColorBox	m_ForeColor;
	CComboBox	m_EncodeMode;
	CComboBox	m_Level;
	CComboBox	m_Version;
	int		m_nMargin;
	int		m_nAppendCounter;
	int		m_nAppendIndex;
	int		m_nEci;
	int		m_nModuleSize;
	CString	m_strText;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQRCodeVc6TestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CQRCodeVc6TestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnEncode();
	afx_msg void OnSave();
	afx_msg void OnBuy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:

	void SetDropDownSize(CComboBox &box, UINT LinesToDisplay);
	BOOL SaveBitmapToFile(HBITMAP hBitmap , LPCTSTR lpFileName); 
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QRCODEVC6TESTDLG_H__80523AC4_2005_4BE0_8A7D_CEA22022386D__INCLUDED_)
